aboutsummaryrefslogtreecommitdiff
path: root/tests/test_files.sh
diff options
context:
space:
mode:
authorLasse Collin <lasse.collin@tukaani.org>2010-10-08 15:32:29 +0300
committerLasse Collin <lasse.collin@tukaani.org>2010-10-08 15:32:29 +0300
commit11f51b6714357cb67ec7e56ed9575c199b5581fe (patch)
treec45bc39473069c6f6e199bd5a248a04943354a31 /tests/test_files.sh
parentBuild: Add options to disable individual command line tools. (diff)
downloadxz-11f51b6714357cb67ec7e56ed9575c199b5581fe.tar.xz
Make tests accommodate missing xz or xzdec.
Diffstat (limited to 'tests/test_files.sh')
-rwxr-xr-xtests/test_files.sh28
1 files changed, 26 insertions, 2 deletions
diff --git a/tests/test_files.sh b/tests/test_files.sh
index 7dd9a390..4eb97969 100755
--- a/tests/test_files.sh
+++ b/tests/test_files.sh
@@ -9,9 +9,27 @@
#
###############################################################################
+# If both xz and xzdec were not build, skip this test.
+XZ=../src/xz/xz
+XZDEC=../src/xzdec/xzdec
+test -x "$XZ" || XZ=
+test -x "$XZDEC" || XZDEC=
+if test -z "$XZ$XZDEC"; then
+ (exit 77)
+ exit 77
+fi
+
for I in "$srcdir"/files/good-*.xz
do
- if ../src/xzdec/xzdec "$I" > /dev/null 2> /dev/null ; then
+ if test -z "$XZ" || "$XZ" -dc "$I" > /dev/null 2>&1; then
+ :
+ else
+ echo "Good file failed: $I"
+ (exit 1)
+ exit 1
+ fi
+
+ if test -z "$XZDEC" || "$XZDEC" "$I" > /dev/null 2>&1; then
:
else
echo "Good file failed: $I"
@@ -22,7 +40,13 @@ done
for I in "$srcdir"/files/bad-*.xz
do
- if ../src/xzdec/xzdec "$I" > /dev/null 2> /dev/null ; then
+ if test -n "$XZ" && "$XZ" -dc "$I" > /dev/null 2>&1; then
+ echo "Bad file succeeded: $I"
+ (exit 1)
+ exit 1
+ fi
+
+ if test -n "$XZDEC" && "$XZDEC" "$I" > /dev/null 2>&1; then
echo "Bad file succeeded: $I"
(exit 1)
exit 1